function [R pto_proximo Aref] = response_SPCA(dat,pto_buscado,init_param)

tau = init_param.tau;
eje_principal = init_param.eucl_PC;
pto_proximo_principal = init_param.points_on_eucl_PC;
resp_principal = init_param.first_eucl_responses;  
pto_origen = init_param.origin;
dist_fuera = init_param.dist_out;
Nv = init_param.k;
muelle = init_param.q;
Nbins = init_param.Nbins;

[DIM N] = size(dat);
direc=1;
eje = eje_principal;
[pto_proximo,resp] = punto_en_eje_NLPCA(pto_buscado,eje);
ind = find(cat(1,eje(:).ref) == fix(resp));
Aref = eje(ind(1)).V_der;

pto_origen = pto_proximo;
R(direc) = resp;

EG(1).eje = eje_principal;
ptos=dat;
Nvn = Nv;
for direc = 2:DIM

    if direc == 2
        pto_proximo = pto_proximo_principal;
        resp = resp_principal;
    else
        pto_proximo = zeros(size(ptos));
        resp = zeros(1,size(ptos,2));
        for n=1:size(ptos,2)
            [pto_proximo(:,n),resp(:,n)] = punto_en_eje_NLPCA(ptos(:,n),eje);
        end
    end

    aux_res = abs(resp-R(direc-1));
    [sss iii] = sort(aux_res);
    
    Nvn = round(Nvn/2);
    ptos = dat(:,iii(1:5*Nvn));

    eje = lanza_axis(dat,pto_origen,Aref,direc,ptos,Nvn,tau,muelle,dist_fuera);
    % plotea_eje(eje,'go-',2)
    EG(direc).eje = eje;

    d = zeros(1,size(dat,2));
    for n=1:size(dat,2)
        d(n) = dist_pto_a_ejes(dat(:,n),eje);
    end

    for nn=1:direc-1, qqq(nn) = length(EG(nn).eje);end
    
%     [ss ii] = sort(d);
%     Npoints = min(round(size(ptos,2)*1.5),length(ii));
% 
%     dat_tubo = dat(:,ii(1:Npoints));
    
    
    [pto_proximo,resp] = punto_en_eje_NLPCA(pto_buscado,eje);
 
    ind = find(cat(1,eje(:).ref)==fix(resp));
    Aref = eje(ind(1)).V_der;
            
    %%%%%%%%%%%%%%%%%
    pto_origen = pto_proximo;
    R(direc,1) = resp;
end

